OGRE: OgreBites Namespace Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites Namespace Reference

## Classes
class | AdvancedRenderControls
class | ApplicationContextBase
| Base class responsible for setting up a common context for applications. More...
class | ApplicationContextQt
| Specialization for connecting with Qt. More...
struct | AxisEvent
class | Button
| Basic button class. More...
struct | ButtonEvent
class | CameraMan
| Utility class for controlling the camera in samples. More...
class | CheckBox
| Basic check box widget. More...
class | DecorWidget
| Custom, decorative widget created from a template. More...
union | Event
struct | HatEvent
struct | ImGuiInputListener
struct | InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy. More...
class | InputListenerChain
| Chain of multiple InputListeners that acts as a single InputListener. More...
struct | KeyboardEvent
struct | Keysym
class | Label
| Basic label widget. More...
struct | MouseButtonEvent
struct | MouseMotionEvent
struct | MouseWheelEvent
struct | NativeWindowPair
| link between a renderwindow and a platform specific window More...
class | ParamsPanel
| Basic parameters panel widget. More...
class | ProgressBar
| Basic progress bar widget. More...
class | SelectMenu
| Basic selection menu widget. More...
class | Separator
| Basic separator widget. More...
class | SGTechniqueResolverListener
| Default implementation of a Listener to use with the Ogre::RTShader system. More...
class | Slider
| Basic slider widget. More...
class | StaticPluginLoader
| Utility class for loading the plugins statically. More...
class | TextBox
| Scrollable text box widget. More...
struct | TextInputEvent
struct | TouchFingerEvent
class | TrayListener
| Listener class for responding to tray events. More...
class | TrayManager
| Main class to manage a cursor, backdrop, trays and widgets. More...
class | Widget
| Abstract base class for all widgets. More...
class | WindowEventListener
| Callback class used to send out window events to client app. More...
class | WindowEventUtilities
| Utility class to handle Window Messages. More...

## Typedefs
typedef ApplicationContextBase | ApplicationContext
typedef int | Keycode
typedef SDL_Window | NativeWindowType
typedef std::vector< Widget * > | WidgetList

## Enumerations
enum | { SDLK_DELETE = int('\177') , SDLK_RETURN = int('\r') , SDLK_ESCAPE = int('\033') , SDLK_SPACE = int(' ') , SDLK_F1 = (1 << 30) | 0x3A , SDLK_F2 , SDLK_F3 , SDLK_F4 , SDLK_F5 , SDLK_F6 , SDLK_F7 , SDLK_F8 , SDLK_F9 , SDLK_F10 , SDLK_F11 , SDLK_F12 , SDLK_PRINTSCREEN , SDLK_SCROLLLOCK , SDLK_PAUSE , SDLK_INSERT , SDLK_HOME , SDLK_PAGEUP , SDLK_END = (1 << 30) | 0x4D , SDLK_PAGEDOWN , SDLK_RIGHT , SDLK_LEFT , SDLK_DOWN , SDLK_UP , SDLK_NUMLOCKCLEAR , SDLK_KP_DIVIDE , SDLK_KP_MULTIPLY , SDLK_KP_MINUS , SDLK_KP_PLUS , SDLK_KP_ENTER , SDLK_KP_1 , SDLK_KP_2 , SDLK_KP_3 , SDLK_KP_4 , SDLK_KP_5 , SDLK_KP_6 , SDLK_KP_7 , SDLK_KP_8 , SDLK_KP_9 , SDLK_KP_0 , SDLK_KP_PERIOD , SDLK_LSHIFT = (1 << 30) | 0xE1 , KMOD_ALT = 0x0100 | 0x0200 , KMOD_CTRL = 0x0040 | 0x0080 , KMOD_GUI = 0x0400 | 0x0800 , KMOD_SHIFT = 0x0001 | 0x0002 , KMOD_NUM = 0x1000 }
enum | ButtonState { BS_UP , BS_OVER , BS_DOWN }
| enumerator values for button states More...
enum | ButtonType { BUTTON_LEFT = 1 , BUTTON_MIDDLE , BUTTON_RIGHT }
enum | CameraStyle { CS_FREELOOK , CS_ORBIT , CS_MANUAL }
| enumerator values for different styles of camera movement More...
enum | EventType { KEYDOWN = 1 , KEYUP , MOUSEBUTTONDOWN , MOUSEBUTTONUP , MOUSEWHEEL , MOUSEMOTION , FINGERDOWN , FINGERUP , FINGERMOTION , TEXTINPUT , CONTROLLERAXISMOTION , CONTROLLERBUTTONDOWN , CONTROLLERBUTTONUP , JOYAXISMOTION , JOYHATMOTION }
enum | TrayLocation { TL_TOPLEFT , TL_TOP , TL_TOPRIGHT , TL_LEFT , TL_CENTER , TL_RIGHT , TL_BOTTOMLEFT , TL_BOTTOM , TL_BOTTOMRIGHT , TL_NONE }
| enumerator values for widget tray anchoring locations More...

## Functions
_OgreBitesExport Ogre::ConfigDialog * | getNativeConfigDialog ()
| OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine.

## Typedef Documentation

## ◆ NativeWindowType

typedef SDL_Window OgreBites::NativeWindowType

## Function Documentation

## ◆ getNativeConfigDialog()

_OgreBitesExport Ogre::ConfigDialog * OgreBites::getNativeConfigDialog | ( |  | ) |

OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine.

This defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Returns
  pointer to Ogre::ConfigDialog or NULL if not available on the current platform.